import App from './App';

// #ifndef VUE3
import Vue from 'vue';
import uView from 'uview-ui';
import store from './store';
Vue.use(uView);
import '@/plugins/urequest';
import '@/plugins/check-res';

Vue.config.productionTip = false;
App.mpType = 'app';
const app = new Vue({
	store,
	...App,
});
app.$mount();
// #endif
// #ifdef VUE3
import {
	createSSRApp
} from 'vue';
export function createApp() {
	const app = createSSRApp(App);
	return {
		store,
		app,
	};
}
// #endif
